Subject: Re: bug#42447: Issue with CGIT service

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Mon, 27 Jul 2020 13:18:11 +0200

On Mon, Jul 20, 2020 at 02:30:40PM -0500, Brett Gilio wrote:
> 
> Hi all,
> 
> I am having an issue with the CGIT service. There is a record field for
> setting the directory it should watch, defaulting to /srv/cgit or
> something similar. Currently when doing this it just returns an empty
> cgit web interface.

I had a similar issue back in November
<https://lists.gnu.org/archive/html/guix-devel/2019-11/msg00421.html>.
I believe you need to change the permissions on /srv/cgit to allow
access.

Perhaps this can be properly fixed by using supplementary groups now
that <https://issues.guix.info/issue/41573> has been pushed.

Regards,
Florian